Bug 103954 - fdisk segfaults on adding logical partition
fdisk segfaults on adding logical partition
Status: CLOSED RAWHIDE
Product: Red Hat Linux Beta
Classification: Retired
Component: util-linux (Show other bugs)
beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-08 08:31 EDT by Leonard den Ottolander
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-11 07:51:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix fdisk primary problem (906 bytes, patch)
2003-09-08 09:21 EDT, Leonard den Ottolander
no flags Details | Diff

  None (edit)
Description Leonard den Ottolander 2003-09-08 08:31:35 EDT
Description of problem:

 I reported a problem when creating a primary partition with fdisk when all
extended partitions are used for RH 7.3 (bug #67898). The patch I supplied fixed
the problem and was added to RH 8.0.

 For Severn the patch is no longer available. The issue was "fixed" upstream,
but the logic is flawed. The current situation is that if all extended
partitions are used up adding a new partition will also ask if you want to add a
logical partition. Choosing this option makes fdisk segfault:

   Device Boot    Start       End    Blocks   Id  System
/dev/hda1   *         1       765   6144831    b  Win95 FAT32
/dev/hda2           766      1530   6144862+   b  Win95 FAT32
/dev/hda3          1531     14217 101908327+   f  Win95 Ext'd (LBA)
/dev/hda5          1531      2805  10241406    b  Win95 FAT32
/dev/hda6          2806      3315   4096543+   b  Win95 FAT32
/dev/hda7          3316      3825   4096543+   b  Win95 FAT32
/dev/hda8          3826      3966   1132551   82  Linux swap
/dev/hda9          3967     10378  51504358+  83  Linux
/dev/hda10        10379     10890   4112608+  83  Linux
/dev/hda11        10891     11402   4112608+  83  Linux
/dev/hda12        11403     11914   4112608+  83  Linux
/dev/hda13        11915     12426   4112608+  83  Linux
/dev/hda14        12427     12938   4112608+  83  Linux
/dev/hda15        12939     13450   4112608+  83  Linux
/dev/hda16        13451     14217   6160896   83  Linux
 
Command (m for help): n
Command action
   l   logical (5 or over)
   p   primary partition (1-4)
l
Segmentation fault (core dumped)

Please revert to the patch that I supplied with bug #67898.

Version-Release number of selected component (if applicable):
util-linux-2.11y-25
Comment 1 Leonard den Ottolander 2003-09-08 09:21:37 EDT
Created attachment 94299 [details]
patch to fix fdisk primary problem

The patch makes that fdisk only offers the ability to add a primary partition
when all logical partitions are used.
Comment 2 Elliot Lee 2003-09-11 07:32:49 EDT
Applied.
Comment 3 Leonard den Ottolander 2003-09-11 09:25:54 EDT
Good. I contacted the upstream maintainer Andries Brouwer <aeb@cwi.nl> about
this issue as well, but I didn't receive a reply (yet).

Note You need to log in before you can comment on or make changes to this bug.